Recurring campaigns

GET https://pushye.com/api/recurring-campaigns/
curl --request GET \
--url 'https://pushye.com/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
参数 细节 描述
search 可选的 字符串 搜索字符串。
search_by 可选的 字符串 您正在按哪个字段搜索。允许的值为:name, title, description, url
website_id 可选的 整数
datetime_field 可选的 字符串 允许的值:last_run_datetime, next_run_datetime, datetime, last_datetime
datetime_start 可选的 字符串 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 可选的 字符串 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 可选的 字符串 按哪个字段排序结果。允许的值有:recurring_campaign_id, datetime, last_datetime, last_run_datetime, next_run_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications
order_type 可选的 字符串 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。
page 可选的 整数 您想要结果的页码。默认为 1
results_per_page 可选的 整数 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "name": "Example",
            "title": "Sample message",
            "description": "This is coming from the API.",
            "url": "https://example.com",
            "image_url": null,
            "settings": {
                "ttl": 2419200,
                "urgency": "normal",
                "is_silent": 0,
                "is_auto_hide": 0,
                "button_title_1": "",
                "button_url_1": "",
                "button_title_2": "",
                "button_url_2": "",
                "frequency": "daily,
                "time": 10:25,
            },
            "segment": "all",
            "is_enabled": true,
            "total_sent_push_notifications": 0,
            "total_displayed_push_notifications": 0,
            "total_clicked_push_notifications": 0,
            "total_closed_push_notifications": 0,
            "last_sent_datetime": null,
            "last_datetime": null,
            "datetime": "2026-04-28 17:01:22",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/recurring-campaigns?page=1",
        "last": "https://pushye.com/api/recurring-campaigns?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/recurring-campaigns?page=1"
    }
}
GET https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request GET \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Sample message",
        "description": "This is coming from the API.",
        "url": "https://example.com",
        "image_url": null,
        "settings": {
            "ttl": 2419200,
            "urgency": "normal",
            "is_silent": 0,
            "is_auto_hide": 0,
            "button_title_1": "",
            "button_url_1": "",
            "button_title_2": "",
            "button_url_2": "",
            "frequency": "daily,
            "time": 10:25,
        },
        "segment": "all",
        "is_enabled": true,
        "total_sent_push_notifications": 0,
        "total_displayed_push_notifications": 0,
        "total_clicked_push_notifications": 0,
        "total_closed_push_notifications": 0,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-04-28 17:01:22",
    }
}
POST https://pushye.com/api/recurring-campaigns
参数 细节 描述
website_id 必需 整数 -
name 必需 字符串 -
title 必需 字符串 -
description 必需 字符串 -
url 可选的 字符串 -
image 可选的 文件 -
button_title_1 可选的 字符串 -
button_url_1 可选的 字符串 -
button_title_2 可选的 字符串 -
button_url_2 可选的 字符串 -
is_silent 可选的 布尔值 -
is_auto_hide 可选的 布尔值 -
ttl 可选的 字符串 允许的值:0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source 可选的 字符串 -
utm_medium 可选的 字符串 -
utm_campaign 可选的 字符串 -
frequency 可选的 字符串 允许的值:daily, weekly, monthly
week_days 可选的 字符串 允许的值:1, 2, 3, 4, 5, 6, 7 可用时间:frequency = weekly
month_days 可选的 字符串 允许的值:1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 可用时间:frequency = monthly
time 可选的 字符串 HH:II
is_enabled 可选的 布尔值 -
curl --request POST \
--url 'https://pushye.com/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
{
    "data": {
        "id": 1
    }
}
POST https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
参数 细节 描述
website_id 可选的 整数 -
name 可选的 字符串 -
title 可选的 字符串 -
description 可选的 字符串 -
url 可选的 字符串 -
image 可选的 文件 -
button_title_1 可选的 字符串 -
button_url_1 可选的 字符串 -
button_title_2 可选的 字符串 -
button_url_2 可选的 字符串 -
is_silent 可选的 布尔值 -
is_auto_hide 可选的 布尔值 -
ttl 可选的 字符串 允许的值:0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source 可选的 字符串 -
utm_medium 可选的 字符串 -
utm_campaign 可选的 字符串 -
frequency 可选的 字符串 允许的值:daily, weekly, monthly
week_days 可选的 字符串 允许的值:1, 2, 3, 4, 5, 6, 7 可用时间:frequency = weekly
month_days 可选的 字符串 允许的值:1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 可用时间:frequency = monthly
time 可选的 字符串 HH:II
is_enabled 可选的 布尔值 -
curl --request POST \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request DELETE \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \